unit test1_2;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Buttons, Menus;

type
  TForm1 = class(TForm)
    Label4: TLabel;
    label8: tlabel;
    Label5: TLabel;
    RadioButton5: TRadioButton;
    Panel1: TPanel;
    Image1: TImage;
    Label6: TLabel;
    Label7: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label9: TLabel;
    Label10: TLabel;
    Edit3: TEdit;
    procedure FormActivate(Sender: TObject);
    procedure RadioButtonClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure N11Click(Sender: TObject);
    procedure Edit3Enter(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
 var
  Form1: TForm1;     // форма
  parol,p2:string; { имя файла вопросов }
  ft,fp:textfile;
  i,j:byte;
implementation
uses Unitmenu;
{ вывод начальной информации о тесте }
procedure info(var f:TextFile;l:TLabel;frm:tform1);
var
   s:string[100];
begin
  with form1 do
  begin
   image1.visible:=true;
   image1.picture.loadfromfile('textart.bmp');
   Image1.Top:=Form1.Label6.Top-8;
   image1.left:=0;
   Image1.Width:=Round(Image1.Picture.Bitmap.Width*4.30);
   Image1.Height:=Round(Image1.Picture.Bitmap.Height*2.40);
   panel1.color:=clblack;
   color:=clblack;
   Label6.Visible:=FALSE;
   Label6.caption:='';
   Label6.width:=frm.ClientWidth-frm.Label6.left-5;
   Label7.Visible:=FALSE;
   Label7.caption:='';
   Label7.width:=frm.ClientWidth-frm.Label7.left-5;
   readln(f,s);
   label8.top:=312;
   label8.left:=2;
   label8.visible:=true;
   label8.color:=clblack;
   label8.font.color:=clwhite;
   label8.caption:=s;
   readln(f,s);
   label9.top:=328;
   label9.left:=2;
   label9.visible:=true;
   label9.color:=clblack;
   label9.font.color:=clwhite;
   label9.caption:=s;
   readln(f,s);
   label10.top:=344;
   label10.left:=15;
   label10.visible:=true;
   label10.color:=clblack;
   label10.font.color:=clwhite;
   label10.caption:=s;
  end
end;
// масштабирование иллюстрации
Procedure ScaleImage(Image1:TImage);
var
  w,h:integer; // максимально допустимые размеры картинки
  scaleX:real; // коэф. масштабирования по X
  scaleY:real; // коэф. масштабирования по Y
  scale:real;  // общий коэф. масштабирования
begin
  // вычислить максимально допустимые размеры картинки
     w:=Form1.ClientWidth-10;
     h:=Form1.ClientHeight
              -  Form1.Panel1.Height -5
               - Form1.Label7.Top
               - Form1.Label7.Height - 5;
  if Form1.Label4.Caption <> ''
     then h:=h-Form1.Label4.Height-5;
     // определить масштаб
     if w>Image1.Picture.Bitmap.Width
        then scaleX:=1
        else scaleX:=w/Image1.Picture.Bitmap.Width;
     if h>Image1.Picture.Bitmap.Height
        then scaleY:=1
        else scaleY:=h/Image1.Picture.Bitmap.Height;
     if ScaleY<ScaleX
        then scale:=scaleY
        else scale:=scaleX;

     // здесь масштаб определен
     Image1.Top:=Form1.Label7.Top+Form1.Label7.Height+5;
     Image1.Width:=Round(Image1.Picture.Bitmap.Width*scale);
     Image1.Height:=Round(Image1.Picture.Bitmap.Height*scale);
end;


Procedure ResetForm(frm:TForm1);
begin // сделать невидимыми все метки и радиокнопки
     frm.Label4.Visible:=FALSE;
     frm.Label4.caption:='';
     frm.Label4.width:=frm.ClientWidth-frm.Label4.left-5;
     frm.Label8.Visible:=FALSE;
     frm.Label8.caption:='';
     frm.Label8.width:=frm.ClientWidth-frm.Label8.left-5;
     frm.label5.visible:=false;
     frm.label7.visible:=true;
     frm.Label7.width:=frm.ClientWidth-frm.Label7.left-30;
end;


{$R *.DFM}

procedure TForm1.FormActivate(Sender: TObject);
  begin
    ResetForm(Form1);bitbtn1.tag:=0;label6.font.color:=clblack;
    assignfile(fp,'persent.txt');
    reset(fp);
    read(fp,parol);
    closefile(fp);
    assignfile(ft,'topozn.txt');
    {$I-}
     reset(ft);
    {I+}
    if IOResult=0 then Info(ft,Label5,form1); // прочитать и вывести информвцию о тесте
end;

procedure TForm1.RadioButtonClick(Sender: TObject);
 begin
  Bitbtn1.enabled:=TRUE;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  case Bitbtn1.tag of
       0: begin
            with form1 do
            begin
            close;
             end;
          end;
       3:begin
           p2:=edit3.text;
           if p2<>parol then begin
                               showmessage('Пароль неверен');
                             end
           else
           begin
             with form1 do
             begin
              Bitbtn1.caption:='Выход';
              Bitbtn2.visible:=true;
              caption:='АРМ налогового инспектора';
              image1.height:=370;
              label8.caption:='';
              label9.caption:='';
              label10.caption:='';
              height:=460;
              width:=550;
              label6.visible:=false;
              label6.top:=8;
              label6.caption:=' ';
              edit3.visible:=false;
              edit3.clear;
              edit3.top:=24;
              edit3.left:=240;
              Bitbtn1.tag:=0;
              closefile(ft);
              form1.visible:=false;
              form_main.visible:=true;
              form_main.show;
              bitbtn1.tag:=5
             end;
            end

          end;
       end;
         end;
procedure TForm1.BitBtn2Click(Sender: TObject);
begin
with form1 do
begin
  height:=130;{454}
  width:=280;{443}
  label6.visible:=true;
  label6.font.color:=clwhite;
  label6.top:=20; {8}
  form1.caption:='Введите пароль :    ';
  edit3.visible:=true;
  edit3.clear;
  edit3.top:=15; {0}
  edit3.left:=70;          { edit3.text:=parol;}
  Bitbtn1.caption:='ОК';
  bitbtn1.tag:=3;
end;
end;

procedure TForm1.N11Click(Sender: TObject);
begin
  Bitbtn2.visible:=true;
end;

procedure TForm1.Edit3Enter(Sender: TObject);
begin
  if p2[1]=parol then
           begin
             with form1 do
             begin
              height:=444;
              width:=443;
              label6.visible:=false;
              label6.top:=8;
              label6.caption:=' ';
              edit3.visible:=false;
              edit3.clear;
              edit3.top:=0;
              edit3.left:=240;
              Bitbtn1.tag:=0;
             end;
            end
            else close;
end;

end.
